
Redmine - Patch #18983

Allow filtering of Redmine Reminders by Version

2015-01-30 17:25 - Merul Patel

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 3.0.0   

Description

We had a requirement to setup cron jobs that would notify users of issues assigned to them that were overdue or coming due within

a specific timeframe.

The rake redmine:send_reminders is great, but doesn't allow filtering by Version so here's a patch and tests to allow for this.

Associated revisions

Revision 13964 - 2015-02-07 08:56 - Jean-Philippe Lang

Allow filtering of Redmine Reminders by Version (#18983).

Patch by Merul Patel.

Revision 13965 - 2015-02-07 09:12 - Jean-Philippe Lang

Raise an error if version is not found (#18983).

Revision 13966 - 2015-02-07 09:24 - Jean-Philippe Lang

Fixed wrong test (#18983).

Issue was not assigned to the version and assert_equal 1, ActionMailer::Base.deliveries.size was passing because of the issue creation notification.

Revision 13967 - 2015-02-07 09:25 - Jean-Philippe Lang

Renamed test (#18983).

History

#1 - 2015-02-07 09:26 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.0.0

Patch committed in r13964, with some fixes in the following changes. Thanks.

Files

REMINDERS_VERSION.diff 3.54 KB 2015-01-30 Merul Patel
